package pack

import (
	"github.com/issue9/conv"
	"time"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"
)

func HttpFullProjectRequestToCondition(req *http_model.FullProjectListRequest) *common_model.ProjectCondition {
	projectUpdated := time.UnixMilli(conv.MustInt64(req.ProjectUpdated))
	return &common_model.ProjectCondition{
		ProjectStatus:      conv.MustInt64(req.ProjectStatus),
		ProjectPlatform:    conv.MustInt64(req.ProjectPlatform),
		ProjectForm:        conv.MustInt64(req.ProjectForm),
		ProjectContentType: conv.MustInt64(req.ProjectContentType),
		ProjectUpdated:     projectUpdated.String(),
	}
}
